summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2018-02-05 11:07:16 +0100
committerMichał Górny <mgorny@gentoo.org>2018-02-05 19:37:04 +0100
commitbfa3fb55fb1d00cbc9ee2fd6e37b34609d48496f (patch)
tree4970522396c40b4b42a358d0a139382ebcc7ea08 /dev-python/backports-functools-lru-cache
parentapp-portage/gemato: Remove stale USE desc (diff)
downloadgentoo-bfa3fb55fb1d00cbc9ee2fd6e37b34609d48496f.tar.gz
gentoo-bfa3fb55fb1d00cbc9ee2fd6e37b34609d48496f.tar.bz2
gentoo-bfa3fb55fb1d00cbc9ee2fd6e37b34609d48496f.zip
dev-python/backports-functools-lru-cache: bump to 1.5
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'dev-python/backports-functools-lru-cache')
-rw-r--r--dev-python/backports-functools-lru-cache/Manifest1
-rw-r--r--dev-python/backports-functools-lru-cache/backports-functools-lru-cache-1.5.ebuild53
-rw-r--r--dev-python/backports-functools-lru-cache/metadata.xml1
3 files changed, 54 insertions, 1 deletions
diff --git a/dev-python/backports-functools-lru-cache/Manifest b/dev-python/backports-functools-lru-cache/Manifest
index 6feff334b63..9a7e7a93de1 100644
--- a/dev-python/backports-functools-lru-cache/Manifest
+++ b/dev-python/backports-functools-lru-cache/Manifest
@@ -1,2 +1,3 @@
DIST backports.functools_lru_cache-1.3.tar.gz 6685 BLAKE2B 7007b08fc536ba2a31d215999a73399004b2db0f5c9e00706cb03df35882cfd987026fffa7e1deee2fde6142bbe0c5b7707ba06567e702e0781136572c0b17a0 SHA512 946156266d4b1bccb3eb444d1cceff6568b8c2a62e09bc9197281bdafe912069efa4c857089a7e6ea0247ab9407256a7a7c92485599692e0c0159c428137a342
DIST backports.functools_lru_cache-1.4.tar.gz 6927 BLAKE2B a0ef9f56abcfde51b9d7f03cb9170c3d500652e43c9498fb7dc4c404276ceea15dcd6ffb2fc7efd723cb12790f99e6fe249136ae0d4c949f06ea06cc41318793 SHA512 78dcd12f392bc110d1556f567a9f8fe977fa4ddc98a2121ceaf43606687171866832b8d32220dfb4ca335f53e89acecabda9e48ad48571f1741b21ab2d3b8a21
+DIST backports.functools_lru_cache-1.5.tar.gz 7891 BLAKE2B 5de046672e25f95e8b224d79deb4ce7eb40aef72ea80e0788ef54076fc98ea3a993daf5a607a6670925707f357b4be14affc626b45bae100c6feba9a41e4c606 SHA512 083a69beb050a6de0f838231ceae05cd1825f42310b2cd4f0e53f7ca043af4c699ad7042c32831ee365bb6b374d33189136e45689c77815b99773d145f0ef4f1
diff --git a/dev-python/backports-functools-lru-cache/backports-functools-lru-cache-1.5.ebuild b/dev-python/backports-functools-lru-cache/backports-functools-lru-cache-1.5.ebuild
new file mode 100644
index 00000000000..237ca59d9de
--- /dev/null
+++ b/dev-python/backports-functools-lru-cache/backports-functools-lru-cache-1.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+MY_PN="${MY_PN//-/_}"
+DESCRIPTION="Backport of functools.lru_cache from Python 3.3"
+HOMEPAGE="https://github.com/jaraco/backports.functools_lru_cache"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+RDEPEND="dev-python/backports[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+ dev-python/rst-linker[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? (
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+ if use doc; then
+ cd docs || die
+ sphinx-build . _build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ PYTHONPATH=. py.test || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ # avoid a collision with dev-python/backports
+ rm "${BUILD_DIR}"/lib/backports/__init__.py || die
+ distutils-r1_python_install --skip-build
+}
diff --git a/dev-python/backports-functools-lru-cache/metadata.xml b/dev-python/backports-functools-lru-cache/metadata.xml
index b22cae5ee29..b7d81dd673d 100644
--- a/dev-python/backports-functools-lru-cache/metadata.xml
+++ b/dev-python/backports-functools-lru-cache/metadata.xml
@@ -4,7 +4,6 @@
<maintainer type="person">
<email>sautier.louis@gmail.com</email>
<name>Louis Sautier</name>
- <description>Proxied maintainer; set to assignee in all bugs</description>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>